## vdeplug-agno 0.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)
project("vdeplug_agno"
    DESCRIPTION "libvdeplug plugin module for agno"
    HOMEPAGE_URL "https://github.com/rd235/vdeplug_agno"
    VERSION 0.1.0
    LANGUAGES C)

include(GNUInstallDirs)
include(CheckIncludeFile)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")

set(CMAKE_REQUIRED_QUIET TRUE)
set(LIBS_REQUIRED vdeplug_mod ssl crypto)
set(HEADERS_REQUIRED strcase.h libvdeplug.h strcase.h wolfssl/options.h wolfssl/wolfcrypt/aes.h wolfssl/wolfcrypt/random.h)

foreach(THISLIB IN LISTS LIBS_REQUIRED)
  find_library(LIB${THISLIB}_OK ${THISLIB})
  if(NOT LIB${THISLIB}_OK)
    message(FATAL_ERROR "library lib${THISLIB} not found")
  endif()
endforeach(THISLIB)

foreach(HEADER IN LISTS HEADERS_REQUIRED)
  check_include_file(${HEADER} ${HEADER}_OK)
  if(NOT ${HEADER}_OK)
    message(FATAL_ERROR "header file ${HEADER} not found")
  endif()
endforeach(HEADER)

add_definitions(-D_GNU_SOURCE)
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library(vdeplug_agno SHARED libvdeplug_agno.c)
target_link_libraries(vdeplug_agno vdeplug_mod wolfssl)

install(TARGETS vdeplug_agno DESTINATION ${CMAKE_INSTALL_LIBDIR}/vdeplug)

add_subdirectory(man)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/changelog ===
vdeplug-agno (0.1.0-3) unstable; urgency=medium

  * d/control: Remove useless dependency

 -- Andrea Capriotti <capriott@debian.org>  Thu, 17 Dec 2020 14:03:17 +0100

vdeplug-agno (0.1.0-2) unstable; urgency=medium

  * d/control: Set Maintainer to Debian VirtualSquare Team
  * d/control: Add VirtualSquare Uploader
  * d/control: Fix Vcs
  * Initial Debian release (Closes: #975717)

 -- Andrea Capriotti <capriott@debian.org>  Tue, 01 Dec 2020 16:17:19 +0100

vdeplug-agno (0.1.0-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 15 Nov 2020 16:12:09 +0100

=== debian/control ===
Source: vdeplug-agno
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattia.biondi3@studio.unibo.it>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.13), libvdeplug-dev (>= 4), strcase-dev, libssl-dev, libwolfssl-dev
Standards-Version: 4.5.0
Section: libs
Homepage: http://www.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdeplug-agno
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vdeplug-agno.git
Rules-Requires-Root: no

Package: libvdeplug-agno
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libvdeplug2 (>= 4), libssl1.1, libwolfssl24
Description: libvdeplug plugin for encryption
 This is a libvdeplug plugin module to add encryption to a vde connection.
 It is based on the libwolfssl-dev library

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdestack-$1.tar.gz%" \
   https://github.com/virtualsquare/vdeplug_agno/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## vdeplug-agno 0.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("vdeplug_agno"
     DESCRIPTION "libvdeplug plugin module for agno"
     HOMEPAGE_URL "https://github.com/rd235/vdeplug_agno"
-    VERSION 0.1.0
+    VERSION 0.1.1
     LANGUAGES C)
 
 include(GNUInstallDirs)
@@ -10,7 +10,7 @@
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")
 
 set(CMAKE_REQUIRED_QUIET TRUE)
-set(LIBS_REQUIRED vdeplug_mod ssl crypto)
+set(LIBS_REQUIRED vdeplug_mod wolfssl)
 set(HEADERS_REQUIRED strcase.h libvdeplug.h strcase.h wolfssl/options.h wolfssl/wolfcrypt/aes.h wolfssl/wolfcrypt/random.h)
 
 foreach(THISLIB IN LISTS LIBS_REQUIRED)

=== debian/changelog ===
vdeplug-agno (0.1.1-1build7) resolute; urgency=medium

  * Rebuild against latest wolfssl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 18 Oct 2025 10:51:43 -0400

vdeplug-agno (0.1.1-1build6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:22:07 +1100

vdeplug-agno (0.1.1-1build5) noble; urgency=medium

  * No-change rebuild against libwolfssl42t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 05:34:33 +0000

vdeplug-agno (0.1.1-1build4) noble; urgency=medium

  * Rebuild against latest wolfssl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 13:34:05 -0500

vdeplug-agno (0.1.1-1build3) noble; urgency=medium

  * Rebuild against new libwolfssl41.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Nov 2023 16:35:59 +0100

vdeplug-agno (0.1.1-1build2) lunar; urgency=medium

  * Rebuild against latest wolfssl

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 19 Jan 2023 16:48:08 -0500

vdeplug-agno (0.1.1-1build1) jammy; urgency=medium

  * No-change rebuild against libwolfssl32

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Mar 2022 18:38:25 +0000

vdeplug-agno (0.1.1-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * New upstream version 0.1.1:
    + Fix ssl dependency detection.
  * d/control: do not manually Depend on shared libraries.  Closes: #1001145

  [ Mattia Rizzolo ]
  * d/watch: drop unneeded uupdate call, and wrong filenamemange option.
  * d/rules: delete commented-out options.
  * d/rules: delete -Wl,--as-needed, default behaviour in bullseye.
  * d/control: Bump Standards-Version to 4.6.0, no changes needed.
  * d/control: Mark libvdeplug-agno as Multi-Arch:same (from the M-A hinter).

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 02 Jan 2022 11:55:48 +0100

=== debian/control ===
Source: vdeplug-agno
Priority: optional
Section: libs
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders:
 Mattia Biondi <mattia.biondi3@studio.unibo.it>,
 Renzo Davoli <renzo@cs.unibo.it>,
 Andrea Capriotti <capriott@debian.org>,
Build-Depends:
 cmake (>= 3.13),
 debhelper-compat (= 13),
 libvdeplug-dev (>= 4),
 libwolfssl-dev,
 strcase-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: http://www.virtualsquare.org/
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdeplug-agno
Vcs-Git: https://salsa.debian.org/virtualsquare-team/vdeplug-agno.git

Package: libvdeplug-agno
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: libvdeplug plugin for encryption
 This is a libvdeplug plugin module to add encryption to a vde connection.
 It is based on the libwolfssl-dev library

## vdeplug-agno 0.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.25)
 project("vdeplug_agno"
     DESCRIPTION "libvdeplug plugin module for agno"
     HOMEPAGE_URL "https://github.com/rd235/vdeplug_agno"
-    VERSION 0.1.1
+    VERSION 0.1.2
     LANGUAGES C)
 
 include(GNUInstallDirs)

=== man/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.25)

set(PANDOC_ORG "VirtualSquare")

# ### pandoc pages

file(GLOB VU_PANDOC_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.[1-8].md)
set(VU_MAN_FILES)
foreach(VU_PANDOC_PATH IN LISTS VU_PANDOC_PAGES)
# VU_PANDOCPAGE: basename of VU_PANDOC_PATH
	get_filename_component(VU_PANDOCPAGE ${VU_PANDOC_PATH} NAME)
# VU_MANPAGE: VU_PANDOCPAGE without the suffix
	string(REGEX REPLACE "\.md$" "" VU_MANPAGE ${VU_PANDOCPAGE})
	list(APPEND VU_MAN_FILES ${VU_MANPAGE})
endforeach(VU_PANDOC_PATH)

add_custom_target(${PROJECT_NAME}_manpages ALL make PANDOC_ORG="${PANDOC_ORG}"  ${VU_MAN_FILES}
	WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

### man pages
file(GLOB VU_MAN_PAGES ${CMAKE_CURRENT_SOURCE_DIR}/*.[1-8])
foreach(VU_MAN_PATH IN LISTS VU_MAN_PAGES)
	get_filename_component(VU_MANPAGE ${VU_MAN_PATH} NAME)
	string(REGEX REPLACE ".*\\." "" MAN_CHAPTER ${VU_MANPAGE})
	install(FILES ${VU_MAN_PATH} DESTINATION ${CMAKE_INSTALL_MANDIR}/man${MAN_CHAPTER})
endforeach(VU_MAN_PATH)

=== man/Makefile ===
MAKEFLAGS += --silent
PANDOC=pandoc
PANDOCOK := $(shell command -v ${PANDOC} 2> /dev/null)
PANDOCMINVER=3.1.7

ifdef PANDOCOK
PANDOCVER := $(shell ${PANDOC} -v | head -1 | cut -d ' ' -f 2)
PANDOCVEROK := $(shell printf '%s\n' ${PANDOCMINVER} ${PANDOCVER} | sort -C -V; echo $$?)
endif

none:

% : %.md
ifdef PANDOCOK
ifeq (${PANDOCVEROK}, 1)
		echo "${PANDOC} ${PANDOCVER} < ${PANDOCMINVER}. $@ can create font warnings with man/groff" >/dev/stderr >&2
endif
# copy copyright notice
		grep "^\.\\\\\"" $< > $@ || true
# run pandoc
		$(eval SECTION := $(subst .,,$(suffix $@)))
		$(eval BASENAME := $(basename $@))
		$(eval TITLE := $(shell echo "${BASENAME}\(${SECTION}\)" | tr [:lower:] [:upper:]))
		$(eval HEADER := "$(shell man ${SECTION} intro | head -1 | sed -e 's/^[^[:blank:]]*[[:blank:]]*//' -e 's/[[:blank:]]*[^[:blank:]]*$$//' )")
		$(PANDOC) -standalone -M title=${TITLE} -M section=${SECTION} -M header=${HEADER} -M footer=${PANDOC_ORG} -M "date=`date +\"%B %Y\"`" --to man $< >> $@
# workaround for boldface rendering
		sed -i -e 's/\\f\[CR\]/\\f\[CB\]/g' $@ || true
		echo "$@ manpage updated" >/dev/stderr >&2
else
		echo "${PANDOC} is not available. Manpage $@ cannot be updated" >/dev/stderr >&2
endif

=== debian/changelog ===
vdeplug-agno (0.1.2-1) unstable; urgency=medium

  * New upstream version 0.1.2 (Closes: #1113611)
  * d/control update standard to 4.7.2. no changes needed.


 -- Renzo Davoli <renzo@cs.unibo.it>  Tue, 28 Oct 2025 16:49:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: vdeplug-agno
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
+Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders:
  Mattia Biondi <mattia.biondi3@studio.unibo.it>,
  Renzo Davoli <renzo@cs.unibo.it>,
@@ -13,7 +12,7 @@
  libvdeplug-dev (>= 4),
  libwolfssl-dev,
  strcase-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: http://www.virtualsquare.org/
 Vcs-Browser: https://salsa.debian.org/virtualsquare-team/vdeplug-agno

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic


%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir debian/tmp

=== debian/watch ===
version=4

https://github.com/virtualsquare/vdeplug_agno/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
